> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/affiliate_api/offers/get_information_about_a_specific_offers_geo.md).

# Get information about a specific offer’s geo

| HTTP method | Endpoint                           |
| ----------- | ---------------------------------- |
| **GET**     | **/aff/v1/offers/{offer\_id}/geo** |

## Path parameters <a href="#path-parameters-3" id="path-parameters-3"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

## Response body parameters <a href="#response-body-parameters-3" id="response-body-parameters-3"></a>

| Field         | Type    | Description                                               |
| ------------- | ------- | --------------------------------------------------------- |
| id            | integer |                                                           |
| offer\_id     | integer | **This parameter has been deprecated.** **\[Deprecated]** |
| country       | string  | Country to be targeted.                                   |
| country\_code | string  | Country code.                                             |
| city          | array   | **This parameter has been deprecated.** **\[Deprecated]** |
| type          | integer | An identifier included or excluded.                       |
| regions       |         | Regions in targeted country                               |
| type          | integer | An identifier included or excluded.                       |
| region\_id    | array   | the unique id for the region                              |
| region\_name  | string  | the name of the region                                    |
| cities        |         | City in targeted Region                                   |
| type          | integer | An identifier included or excluded.                       |
| region\_id    | integer | the unique id for the region                              |
| city\_ids     | array   | the unique id for the city                                |
| city\_name    | string  | the name of the                                           |

## Example request <a href="#example-request-3" id="example-request-3"></a>

**Request GET** <https://{networkname}.api.offerslook.com/aff/v1/offers/16/geo>

**Request GET** <http://{networkname}.api.offerslook.com/aff/v1/offers/16/geo>

## Example response <a href="#example-response-3" id="example-response-3"></a>

```
{
    "code": 0,
    "message": "Success",
    "data": {
        "offer_geo": {
            "type": 1,
            "target": [
                {
                    "country": "United Kingdom",
                    "country_code": "UK",
                    "id": 515054,
                    "city": null,
                    "type": null,
                    "offer_id": null,
                    "regions": [],
                    "cities": []
                },
                {
                    "country": "China",
                    "country_code": "CN",
                    "id": 541594,
                    "city": null,
                    "type": null,
                    "offer_id": null,
                    "regions": [
                        {
                            "type": 1,
                            "region_id": 633,
                            "region_name": "Anhui Sheng"
                        },
                        {
                            "type": 1,
                            "region_id": 635,
                            "region_name": "Beijing Shi"
                        },
                        {
                            "type": 1,
                            "region_id": 641,
                            "region_name": "Guangxi Zhuangzu Zizhiqu"
                        }
                    ],
                    "cities": [
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97648,
                            "city_name": "Anqing"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97649,
                            "city_name": "Baiyin"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97651,
                            "city_name": "Bozhou"
                        },
                        {
                            "type": 1,
                            "region_id": 633,
                            "city_id": 97658,
                            "city_name": "Diaoshi Township"
                        },
                        {
                            "type": 2,
                            "region_id": 635,
                            "city_id": 97739,
                            "city_name": "Beijing"
                        }
                    ]
                }
            ]
        }
    }
}
```
